We have done quite a few migrations from SLES11 SP1 to SP3 updates in the last month. Oviously we have to migrate to SP2 and then SP3. But in the last month it seems the SP2 repository has gotten messed up. When I run "zypper dup --from SLES11-SP2-Core" I get a dependency issue on yelp (it ties into mozilla and the server does not need it) so i select to remove it then it goes on with the following.

Problem: nothing provides tunctl needed by sysconfig-0.71.47-0.7.1.x86_64
Solution 1: Following actions will be done:
deinstallation of klogd-1.4.1-708.39.1.x86_64
deinstallation of sysconfig-0.71.31-0.9.8.x86_64
deinstallation of dhcpcd-3.2.3-44.30.1.x86_64
deinstallation of yast2-audit-laf-2.17.10-0.2.18.noarch
deinstallation of yast2-autofs-2.17.1-0.1.61.noarch
deinstallation of yast2-boot-server-2.14.0-276.38.noarch
deinstallation of yast2-control-center-2.17.4-0.1.76.x86_64
deinstallation of yast2-fingerprint-reader-2.17.7-0.1.201.x86_64
deinstallation of yast2-inetd-2.17.3-1.53.noarch
deinstallation of yast2-instserver-2.17.6-0.2.1.1.noarch
deinstallation of yast2-irda-2.17.3-0.1.85.noarch
deinstallation of yast2-isns-2.17.2-0.2.2.noarch
deinstallation of yast2-kerberos-server-2.17.8-0.6.2.noarch
deinstallation of yast2-mouse-2.16.1-19.38.x86_64
deinstallation of yast2-nis-client-2.17.8-0.1.1.x86_64
deinstallation of yast2-nis-server-2.17.2-1.53.noarch
deinstallation of yast2-ntp-client-2.17.14-1.10.14.noarch
deinstallation of yast2-online-update-2.17.21-0.1.89.noarch
deinstallation of yast2-power-management-2.17.7-0.1.84.noarch
deinstallation of yast2-printer-2.17.63-0.2.43.x86_64
deinstallation of yast2-slp-server-2.17.4-0.2.48.noarch
deinstallation of yast2-squid-2.17.11-0.3.46.x86_64
deinstallation of yast2-sshd-2.17.2-1.21.noarch
deinstallation of yast2-sudo-2.17.3-1.53.noarch
deinstallation of yast2-support-2.17.19-2.1.59.noarch
deinstallation of yast2-sysconfig-2.17.0-1.38.noarch
deinstallation of yast2-tune-2.17.7-1.28.x86_64
deinstallation of yast2-x11-2.17.13.1-0.3.1.noarch
deinstallation of yast2-2.17.92.2-0.3.1.x86_64
deinstallation of gnome-applets-lang-2.28.0-2.2.81.x86_64
deinstallation of yast2-control-center-gnome-2.13.4-1.4.14.x86_64
deinstallation of yast2-online-update-frontend-2.17.21-0.1.89.noarch
deinstallation of SuSEfirewall2-3.6_SVNr208-2.5.1.noarch
deinstallation of yast2-tftp-server-2.17.1-1.37.noarch
deinstallation of yast2-nfs-server-2.17.7-1.1.2.noarch
deinstallation of yast2-kdump-2.17.21-0.2.13.x86_64
deinstallation of mkinitrd-2.4.1-0.16.18.1.x86_64
deinstallation of bootsplash-branding-SLES-3.1-47.22.x86_64
deinstallation of splashy-0.3.8-106.21.x86_64
deinstallation of syslog-ng-2.0.9-27.34.34.1.x86_64
deinstallation of gdm-2.24.0-24.85.1.x86_64
deinstallation of gdm-lang-2.24.0-24.85.1.x86_64
Solution 2: keep obsolete sysconfig-0.71.31-0.9.8.x86_64
Solution 3: break sysconfig by ignoring some of its dependencies

Choose from above solutions by number or skip, retry or cancel [1/2/3/s/r/c] (c):

I dont think i want to remove all that. We have not had this on many other server that we have updated but now with the last 2 servers I have run into the same problem. Does anyone have any workarounds or suggestions?